%define upstream_name    Daemon-Control
%define upstream_version 0.001010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Create init scripts in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Daemon/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.140.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Daemon::Control provides a library for creating init scripts in perl. Your
perl script just needs to set the accessors for what and how you want
something to run and the library takes care of the rest.

You can launch programs through the shell ('/usr/sbin/my_program') or
launch Perl code itself into a daemon mode. Single and double fork methods
are supported, and in double-fork mode all the things you would expect such
as reopening STDOUT/STDERR, switching UID/GID etc are supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.10-4.mga10
+ Revision: 2205575
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.1.10-3.mga9
+ Revision: 1811482
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.1.10-2.mga8
+ Revision: 1523884
- Mageia 8 Mass Rebuild

* Fri Mar 15 2019 tv <tv> 0.1.10-1.mga7
+ Revision: 1377478
- update to 0.001010

* Wed Feb 20 2019 tv <tv> 0.1.9-1.mga7
+ Revision: 1368695
- BR perl(inc::Module::Install)
- update to 0.001009

* Thu Sep 20 2018 umeabot <umeabot> 0.1.8-6.mga7
+ Revision: 1282614
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.1.8-5.mga7
+ Revision: 1163739
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.1.8-4.mga7
+ Revision: 1158988
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.1.8-3.mga6
+ Revision: 1024772
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.8-2.mga6
+ Revision: 969181
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 0.1.8-1.mga6
+ Revision: 864303
- update to 0.001008

* Mon Jul 27 2015 sander85 <sander85> 0.1.7-1.mga6
+ Revision: 858303
- update to 0.001007

* Sat Oct 18 2014 umeabot <umeabot> 0.1.6-4.mga5
+ Revision: 788405
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.1.6-3.mga5
+ Revision: 749366
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.6-2.mga5
+ Revision: 684160
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 jquelin <jquelin> 0.1.6-1.mga5
+ Revision: 640286
- update to 0.001006

* Tue Apr 01 2014 shlomif <shlomif> 0.1.5-1.mga5
+ Revision: 611138
- update to 0.001005

* Tue Nov 12 2013 shlomif <shlomif> 0.1.4-1.mga4
+ Revision: 550765
- imported package perl-Daemon-Control


* Tue Nov 12 2013 cpan2dist 0.001004-1mga
- initial mageia release, generated with cpan2dist
